Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568563 - Archived OpenShift node still being seen as active [NEEDINFO]
Summary: Archived OpenShift node still being seen as active
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.3
Assignee: Oved Ourfali
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On:
Blocks: 1561041
TreeView+ depends on / blocked
 
Reported: 2018-04-17 18:50 UTC by Ryan Spagnola
Modified: 2021-06-10 15:52 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 14:15:41 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:
oourfali: needinfo? (epacific)
oourfali: needinfo? (jocarter)


Attachments (Terms of Use)

Description Ryan Spagnola 2018-04-17 18:50:03 UTC
Description of problem:
When changing the flavor of a node, the node is deleted and recreated. When this happens, the nodes name is displayed in the UI, however, when doing reports on all nodes, some of these nodes show 0.0 for metrics. 



Version-Release number of selected component (if applicable):
5.9.0.22

How reproducible:
Always

Steps to Reproduce:
1. Stop node
2. Change flavor
3. Restart node

Actual results:
Node is seen as new node which is expected behavior in OpenShift
However, CloudForms is not classifying the archived node as archived and treating as active

Expected results:


Additional info:
The customer environment is OpenShift hosted on AWS

Comment 2 Beni Paskin-Cherniavsky 2018-04-18 07:39:34 UTC
Just to clarify, are duplicate nodes seen in UI (Compute -> Container Nodes)?  Or only in reports — and are these regular reports on current state, or only historical chargeback reports?

Can we get a DB dump, plus UI screenshot and/or exported .yaml of the report showing this?

I know there is an existing DB dump in the case, but the case said a "workaround" was applied to clean up the DB / report, and I didn't get an answer what exactly was the workaround, and whether DB dump was before or after workaround.


Note You need to log in before you can comment on or make changes to this bug.